Skip to main content

/cosmos/gov/v1/params/{params_type}

GET

Params queries all parameters of the gov module.
Path Parameters
params_typestringrequired
params_type defines which parameters to query for, can be one of "voting","tallying" or "deposit".
Responses
Deprecated: Prefer to use params instead.voting_params defines the parameters related to voting.
voting_periodstring
Duration of the voting period.
Deprecated: Prefer to use params instead.deposit_params defines the parameters related to deposit.
Minimum deposit for a proposal to enter voting period.
denomstring
amountstring
max_deposit_periodstring
Maximum period for Atom holders to deposit on a proposal. Initial value: 2months.
Deprecated: Prefer to use params instead.tally_params defines the parameters related to tally.
quorumstring
Minimum percentage of total stake needed to vote for a result to be considered valid.
thresholdstring
Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.
veto_thresholdstring
Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.
All parameters of the x/gov module.
Minimum deposit for a proposal to enter voting period.
denomstring
amountstring
max_deposit_periodstring
Maximum period for Atom holders to deposit on a proposal. Initial value: 2months.
voting_periodstring
Duration of the voting period.
quorumstring
Minimum percentage of total stake needed to vote for a result to be considered valid.
thresholdstring
Minimum proportion of Yes votes for proposal to pass. Default value: 0.5.
veto_thresholdstring
Minimum value of Veto votes to Total votes ratio for proposal to be vetoed. Default value: 1/3.
min_initial_deposit_ratiostring
The ratio representing the proportion of the deposit value that must be paid at proposal submission.
proposal_cancel_ratiostring
Proportion of the deposit not returned to depositors when a proposal is cancelled.
proposal_cancel_deststring
Address to receive (proposal_cancel_ratio * deposit) of the deposit. If empty, the amount is burned.
expedited_voting_periodstring
Voting period for expedited proposals.
expedited_thresholdstring
Minimum proportion of yes votes required for a proposal to pass. Default: 0.67.
Minimum expedited deposit for a proposal to enter voting period.
denomstring
amountstring
burn_vote_quorumboolean
burn_proposal_deposit_prevoteboolean
burn_vote_vetoboolean
min_deposit_ratiostring
Minimum ratio of the required deposit that must be met at submission. Default: 0.01. For a chain where min_deposit is 100stake, a deposit of 1stake is required.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-hippo-mainnet.nodit.io/cosmos/gov/v1/params/{params_type}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'